import { FastColor } from '@ant-design/fast-color';
export const getAsSolidColor = (color, background) => {
  if ((color === null || color === void 0 ? void 0 : color.startsWith('var(')) || (background === null || background === void 0 ? void 0 : background.startsWith('var('))) {
    return color;
  }
  return new FastColor(color).onBackground(background).toHexString();
};